aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-03-17 16:21:32 +0000
commit76ffb781ed7a917f23b67454e9f950e5e3b83527 (patch)
tree94fa8e1ddc7cb9ef80b78ea7896a5845f074f95b /sci-electronics/player/player-2.0.4.ebuild
parentmove stuff to root (diff)
downloadsci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.gz
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.tar.bz2
sci-76ffb781ed7a917f23b67454e9f950e5e3b83527.zip
moved overlay to new directory
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@979 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-electronics/player/player-2.0.4.ebuild')
-rw-r--r--sci-electronics/player/player-2.0.4.ebuild113
1 files changed, 113 insertions, 0 deletions
diff --git a/sci-electronics/player/player-2.0.4.ebuild b/sci-electronics/player/player-2.0.4.ebuild
new file mode 100644
index 000000000..481abf347
--- /dev/null
+++ b/sci-electronics/player/player-2.0.4.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="A network server for robot control"
+HOMEPAGE="http://playerstage.sourceforge.net/index.php?src=player"
+SRC_URI="mirror://sourceforge/playerstage/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+
+#DRIVERS NOT INCLUDED
+# nd - unknown
+# passthrough - unknown
+# artoolkitplus - needs arToolKitPlus (not in portage)
+# garcia - needs Garcia (not in portage)
+# imageseq - needs openCV (not in portage)
+# shapetracker - needs openCV (not in portage)
+# simpleshape - needs openCV (not in portage)
+# upcbarcode - needs openCV (not in portage)
+# isense - needs iSense (not in portage)
+# nomad - needs Creative Nomad (maybe in portage)
+# yarpimage - needs YarpCam (not in portage)
+# rcore_xbridge - needs libparticle (not in portage)
+
+IUSE="ieee1394 sphinx2 wifi v4l test
+ boost gnome gtk openssl festival
+ opengl glut gsl java python doc"
+
+RDEPEND="media-libs/jpeg
+ opengl? ( virtual/opengl )
+ glut? ( virtual/glut )
+ openssl? ( dev-libs/openssl )
+ imagemagick? ( media-gfx/imagemagick )
+ gsl? ( sci-libs/gsl )
+ python? ( dev-lang/python )
+ ieee1394? ( sys-libs/libraw1394 media-libs/libdc1394 )
+ java? ( virtual/jdk dev-lang/python )
+ gtk? ( x11-libs/gtk+ )
+ gnome? ( >=gnome-base/libgnomecanvas-2.0 )
+ boost? ( dev-libs/boost )
+ sphinx2? ( app-accessibility/sphinx2 )
+ festival? ( app-accessibility/festival )"
+
+DEPEND="${RDEPEND}
+ python? ( dev-lang/swig )
+ java? ( dev-lang/swig )
+ doc? ( app-doc/doxygen )"
+
+
+src_compile() {
+ local drivers driver nodep_drivers
+
+ nodep_drivers="acoustics acts amcl amtecpowercube
+ aodv bumpersafe canonvcc4 clodbuster cmucam2
+ cmvision dummy er1 fakelocalize flockofbirds
+ garminnmea iwspy khepera laserbar laserbarcode
+ lasercspace laserposeinterpolator laserrescan
+ lasersafe laservisualbarcode laservisualbw
+ lifomcom linuxjoystick logfile mapcspace
+ microstrain mixer obot p2os erratic wbr914
+ ptu46 reb relay kartowriter rflex segwayrmp
+ service_adv_mdns sicklms200 sicknav200 sickpls
+ sicks3000 highspeedsick sonyevid30 urglaser vfh
+ vmapfile waveaudio roomba wavefront insideM300
+ skyetekM1 mica2 cameracompress"
+
+ for driver in ${NODEP_DRIVERS}; do
+ drivers="${drivers} $(use_enable ${driver})"
+ done
+ drivers="${drivers}
+ $(use_enable sphinx2)
+ $(use_enable gtk mapfile)
+ $(use_enable gtk mapscale)
+ $(use_enable wifi linuxwifi)
+ $(use_enable festival)
+ $(use_enable v4l camerauvc)
+ $(use_enable v4l camerav4l)
+ $(use_enable v4l sphere)
+ $(use_enable ieee1394 camera1394)"
+
+ econf \
+ $(use_enable java jplayer) \
+ $(use_enable openssl md5) \
+ $(use_enable python libplayerc-py) \
+ $(use_enable gtk rtkgui) \
+ $(use_enable test tests) \
+ --with-playercc \
+ ${drivers} || die "econf failed"
+
+ # Parallel make will fail
+ emake -j1 || die "emake failed"
+
+ if use doc; then
+ pushd doc
+ emake doc || die "emake doc failed"
+ popd
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ cd doc
+ emake DESTDIR="${D}" "doc-install" || die "emake doc-install failed"
+ cd ..
+ fi
+
+ dodoc AUTHORS ChangeLog NEWS README TODO || die
+}